Subject: Re: [CCAMP] FW: I-D Action: draft-ietf-ccamp-mw-yang-03.txt

From: "t.petch" <[email-masked]>
Date: Thu, 1 Mar 2018 11:06:23 -0000

Jonas

Some administrative thoughts on the YANG in  this I-D, most applying to
both YANG modules.

The contact list has  i-d draft authors; suggest editors

The description clause copyright statement is incomplete.

The description clause lacks a statement as to which RFC this comes
from.

The revision should say 'Initial revision'

Add an RFC editor note to replace the dates (plural)

The case of xxxx varies; suggest making it XXXX and adding note to the
RFC Editor to replace <all> occurrences thereof.  Some in the YANG
module might get missed (and some authors use xxxx to mean one thing and
XXXX for something else:-).

import ietf-interface-protection
add a reference; in the RFC it may be obvious where this can be found
but when the YANG module is extracted and on its own, there will be
hundreds of potential RFC to choose from

import iana-if-type
Again I would add a reference - I know, it is well known but I am  fan
of stating the obvious in a technical document

 import ietf-yang-types
ditto

You reference rfc7223bis
Suggest adding a note to the RFC Editor to replace this with the number
assigned to that when it becomes an RFC; the RFC Editor has asked for
such a note.

ETSI References need more work.  The YANG module has references to
 ETSI TR 102 311
 ETSI EN 302 217-1
 ETSI EN 301 129
all of which should appear in the Normative References of the I-D and
none of which do; and they then need to appear in the text part of the
I-D lest they are flagged as unused references

You do have
EN 302 217-2 [EN302217-2]
but that is a different version:-)

And there is a general problem; the reference clause uses ETSI EN 302
217-1 whereas the existing Reference for EN302217-2 drops the ETSI and
drops the spaces; obviously the same?  May be.

So I think you should include a paragraph, or table, perhaps as Section
4.1 saying something like

"   This module imports typedefs from [RFC6991] and
   [RFC7223bis], ....

 and it references

 ETSI TR 102 311  [TR102311]
 ETSI EN 302 217-1 [EN302217-1]
 ETSI EN 301 129 [EN301129]    "
which is the sort of thing that
draft-ietf-netmod-rfc7277bis
does.

reference "ITU-T G.826";
reference "ITU-T Rec. G.808.1";
ditto
(and perhaps making the style the same, with or without Rec., even
spelling it out )

 Tom Petch

----- Original Message -----
From: "Jonas Ahlberg" <[email-masked]>
To: <[email-masked]>
Sent: Monday, February 26, 2018 1:35 PM

> Dear CCAMPers,
>
> The draft of the YANG Data Model for Microwave Radio Link has now been
updated.
> The structure, format and content of the document have been changed to
adhere to "Guidelines for Authors and Reviewers of YANG Data Model
Documents", draft-ietf-netmod-rfc6087bis-15.
> A few editorial changes of the actual yang models have also been done,
but the structure and content remains however the same.
>
> In all, the authors believe the draft addresses all the comments and
would like to ask for WG LC.
>
> BR,
> JonasA (on behalf of the co-authors)
>
>
>
> -----Original Message-----
> From: CCAMP [mailto:[email-masked]] On Behalf Of
[email-masked]
> Sent: den 26 februari 2018 14:23
> To: [email-masked]
> Cc: [email-masked]
> Subject: [CCAMP] I-D Action: draft-ietf-ccamp-mw-yang-03.txt
>
>
> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
> This draft is a work item of the Common Control and Measurement Plane
WG of the IETF.
>
>         Title           : A YANG Data Model for Microwave Radio Link
>         Authors         : Jonas Ahlberg
>                           Ye Min
>                           Xi Li
>                           Daniela Spreafico
>                           Marko Vaupotic
> Filename        : draft-ietf-ccamp-mw-yang-03.txt
> Pages           : 44
> Date            : 2018-02-26
>
> Abstract:
>    This document defines a YANG data model for control and management
>    of the radio link interfaces, and their connectivity to packet
>    (typically Ethernet) interfaces in a microwave/millimeter wave
node.
>    The data nodes for management of the interface protection
>    functionality is broken out into a separate and generic YANG data
>    model in order to make it available also for other interface types.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-ccamp-mw-yang/
>
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-ietf-ccamp-mw-yang-03
> https://datatracker.ietf.org/doc/html/draft-ietf-ccamp-mw-yang-03
>
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-ccamp-mw-yang-03
>
>
> Please note that it may take a couple of minutes from the time of
submission until the htmlized version and diff are available at
tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> _______________________________________________
> CCAMP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ccamp
>
> _______________________________________________
> CCAMP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ccamp

---

From: Jonas Ahlberg <[email-masked]>
Date: Sat, 3 Mar 2018 11:11:57 +0000

Hi Tom,

Thank you very much for your review of the microwave yang draft.
We hope that we have addressed your comments in the 04 revision of the draft uploaded today.

Thanks again,
JonasA

A new version of I-D, draft-ietf-ccamp-mw-yang-04.txt has been successfully submitted by Jonas Ahlberg and posted to the IETF repository.

Name:		draft-ietf-ccamp-mw-yang
Revision:	04
Title:		A YANG Data Model for Microwave Radio Link
Document date:	2018-03-03
Group:		ccamp
Pages:		46
URL:            https://www.ietf.org/internet-drafts/draft-ietf-ccamp-mw-yang-04.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-ccamp-mw-yang/
Htmlized:       https://tools.ietf.org/html/draft-ietf-ccamp-mw-yang-04
Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-ccamp-mw-yang-04
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-ccamp-mw-yang-04

Abstract:
   (typically Ethernet) interfaces in a microwave/millimeter wave node.

-----Original Message-----
From: t.petch [mailto:[email-masked]] 
Sent: den 1 mars 2018 12:06
To: Jonas Ahlberg <[email-masked]>; [email-masked]
Subject: Re: [CCAMP] FW: I-D Action: draft-ietf-ccamp-mw-yang-03.txt

Jonas

Some administrative thoughts on the YANG in  this I-D, most applying to both YANG modules.

The description clause lacks a statement as to which RFC this comes from.

The case of xxxx varies; suggest making it XXXX and adding note to the RFC Editor to replace <all> occurrences thereof.  Some in the YANG module might get missed (and some authors use xxxx to mean one thing and XXXX for something else:-).

import ietf-interface-protection
add a reference; in the RFC it may be obvious where this can be found but when the YANG module is extracted and on its own, there will be hundreds of potential RFC to choose from

import iana-if-type
Again I would add a reference - I know, it is well known but I am  fan of stating the obvious in a technical document

 import ietf-yang-types
ditto

You reference rfc7223bis
Suggest adding a note to the RFC Editor to replace this with the number assigned to that when it becomes an RFC; the RFC Editor has asked for such a note.

ETSI References need more work.  The YANG module has references to  ETSI TR 102 311  ETSI EN 302 217-1  ETSI EN 301 129 all of which should appear in the Normative References of the I-D and none of which do; and they then need to appear in the text part of the I-D lest they are flagged as unused references

You do have

And there is a general problem; the reference clause uses ETSI EN 302
217-1 whereas the existing Reference for EN302217-2 drops the ETSI and drops the spaces; obviously the same?  May be.

 and it references

reference "ITU-T G.826";
reference "ITU-T Rec. G.808.1";
ditto
(and perhaps making the style the same, with or without Rec., even spelling it out )

 Tom Petch

----- Original Message -----
From: "Jonas Ahlberg" <[email-masked]>
To: <[email-masked]>
Sent: Monday, February 26, 2018 1:35 PM

updated.
> The structure, format and content of the document have been changed to
adhere to "Guidelines for Authors and Reviewers of YANG Data Model Documents", draft-ietf-netmod-rfc6087bis-15.
[email-masked]
directories.
WG of the IETF.
node.
> Please note that it may take a couple of minutes from the time of
submission until the htmlized version and diff are available at tools.ietf.org.

---

From: "t.petch" <[email-masked]>
Date: Sat, 3 Mar 2018 13:07:08 -0000

Jonas

That was quick.  You have addressed almost all my comments  (I was
expecting more time to have another read - I am sure I had some typos
which I have not found on a further read!)

I still see
ID-draft editors:
in the contact clause which is true right now but which should become
Editors:
at some point.

You have added a note the the RFC Editor for most but not quite all the
uses of XXXX - the ones that might be added are in the IANA
Requirements.  (There are so many XXXX these days that some editors just
put a blanket statement at the top rather than trying to flag each one).

 Requirements Language
These days usually includes a reference  to  [RFC8174]  - see for
example
draft-ietf-netmod-rfc7223bis

Finally, the decimal point is represented in places with a period and in
places with a comma; USA versus Europe perhaps. I am ok with it and
suspect that this is a deliberate choice on your part and is probably
the right choice for the technical content but might raise some comment.
.
Tom Petch

----- Original Message -----
From: "Jonas Ahlberg" <[email-masked]>
To: "t.petch" <[email-masked]>; <[email-masked]>
Sent: Saturday, March 03, 2018 11:11 AM

Hi Tom,

Thank you very much for your review of the microwave yang draft.
We hope that we have addressed your comments in the 04 revision of the
draft uploaded today.

Thanks again,
JonasA

A new version of I-D, draft-ietf-ccamp-mw-yang-04.txt has been
successfully submitted by Jonas Ahlberg and posted to the IETF
repository.

Name: draft-ietf-ccamp-mw-yang
Revision: 04
Title: A YANG Data Model for Microwave Radio Link
Document date: 2018-03-03
Group: ccamp
Pages: 46
URL:
https://www.ietf.org/internet-drafts/draft-ietf-ccamp-mw-yang-04.txt
Status:
https://datatracker.ietf.org/doc/draft-ietf-ccamp-mw-yang/
Htmlized:       https://tools.ietf.org/html/draft-ietf-ccamp-mw-yang-04
Htmlized:
https://datatracker.ietf.org/doc/html/draft-ietf-ccamp-mw-yang-04
Diff:
https://www.ietf.org/rfcdiff?url2=draft-ietf-ccamp-mw-yang-04

Abstract:

-----Original Message-----
From: t.petch [mailto:[email-masked]]
Sent: den 1 mars 2018 12:06
To: Jonas Ahlberg <[email-masked]>; [email-masked]
Subject: Re: [CCAMP] FW: I-D Action: draft-ietf-ccamp-mw-yang-03.txt

Jonas

import iana-if-type

 import ietf-yang-types
ditto

You reference rfc7223bis

ETSI References need more work.  The YANG module has references to  ETSI
TR 102 311  ETSI EN 302 217-1  ETSI EN 301 129 all of which should
appear in the Normative References of the I-D and none of which do; and
they then need to appear in the text part of the I-D lest they are
flagged as unused references

You do have

 and it references

reference "ITU-T G.826";

 Tom Petch

----- Original Message -----
From: "Jonas Ahlberg" <[email-masked]>
To: <[email-masked]>
Sent: Monday, February 26, 2018 1:35 PM

updated.
[email-masked]
directories.
WG of the IETF.
node.

---

From: Jonas Ahlberg <[email-masked]>
Date: Mon, 5 Mar 2018 08:02:20 +0000

Hi Tom,
I tried to address your comments in time to make a new submission before the cut-off time today. Maybe I was too quick, but I expect that we will get more comments after our presentation/discussion at IETF101 and we plan for a new submission after that. Then we will include your comments as well. Once again, thanks for your effort to review our draft.

Regards
JonasA

-----Original Message-----
From: t.petch [mailto:[email-masked]] 
Sent: den 3 mars 2018 14:07
To: Jonas Ahlberg <[email-masked]>; [email-masked]
Subject: Re: [CCAMP] FW: I-D Action: draft-ietf-ccamp-mw-yang-03.txt

Jonas

That was quick.  You have addressed almost all my comments  (I was expecting more time to have another read - I am sure I had some typos which I have not found on a further read!)

I still see
ID-draft editors:

You have added a note the the RFC Editor for most but not quite all the uses of XXXX - the ones that might be added are in the IANA Requirements.  (There are so many XXXX these days that some editors just put a blanket statement at the top rather than trying to flag each one).

 Requirements Language
These days usually includes a reference  to  [RFC8174]  - see for example draft-ietf-netmod-rfc7223bis

Finally, the decimal point is represented in places with a period and in places with a comma; USA versus Europe perhaps. I am ok with it and suspect that this is a deliberate choice on your part and is probably the right choice for the technical content but might raise some comment.
.
Tom Petch

----- Original Message -----
From: "Jonas Ahlberg" <[email-masked]>
To: "t.petch" <[email-masked]>; <[email-masked]>
Sent: Saturday, March 03, 2018 11:11 AM

Hi Tom,

Thanks again,
JonasA

Title: A YANG Data Model for Microwave Radio Link Document date: 2018-03-03

Abstract:

-----Original Message-----
From: t.petch [mailto:[email-masked]]
Sent: den 1 mars 2018 12:06
To: Jonas Ahlberg <[email-masked]>; [email-masked]
Subject: Re: [CCAMP] FW: I-D Action: draft-ietf-ccamp-mw-yang-03.txt

Jonas

import iana-if-type

 import ietf-yang-types
ditto

You reference rfc7223bis

You do have

 and it references

reference "ITU-T G.826";

 Tom Petch

----- Original Message -----
From: "Jonas Ahlberg" <[email-masked]>
To: <[email-masked]>
Sent: Monday, February 26, 2018 1:35 PM

updated.
[email-masked]
directories.
WG of the IETF.
node.

---

From: "t.petch" <[email-masked]>
Date: Fri, 16 Mar 2018 12:01:27 -0000

Jonas

A structural thought.

You have a number of 'enumerations' such as  coding-modulation and
tdm-type.  How stable are they?  How does their life cycle compare with
that of the rest of the YANG module?

There is a tendency, prevalent in MIB modules but carried across to
YANG, of seeing these as more volatile and being placed in a separate
module, a separate RFC even (e.g interfaces and interface types), so
that when they change, rather than having to reissue the entire module,
just the module with the enumerations is reissued.  (The ultimate in
this is having the control of the list placed in the hands of IANA with
a revision policy of Expert Review so that nothing needs re-issuing).

I started to say that I am not familiar enough with the likely evolution
of ..... and then saw that I can see no reference for QAM to follow that
line of thought.  I think you need a reference for QAM.  I would also
include QAM in the list of abbreviations, perhaps with BPSK.

Tom Petch

----- Original Message -----
From: "Jonas Ahlberg" <[email-masked]>
To: "t.petch" <[email-masked]>; <[email-masked]>
Sent: Monday, March 05, 2018 8:02 AM
Subject: RE: [CCAMP] FW: I-D Action: draft-ietf-ccamp-mw-yang-03.txt

Hi Tom,
I tried to address your comments in time to make a new submission before
the cut-off time today. Maybe I was too quick, but I expect that we will
get more comments after our presentation/discussion at IETF101 and we
plan for a new submission after that. Then we will include your comments
as well. Once again, thanks for your effort to review our draft.

Regards
JonasA

-----Original Message-----
From: t.petch [mailto:[email-masked]]
Sent: den 3 mars 2018 14:07
To: Jonas Ahlberg <[email-masked]>; [email-masked]
Subject: Re: [CCAMP] FW: I-D Action: draft-ietf-ccamp-mw-yang-03.txt

Jonas

I still see
ID-draft editors:

 Requirements Language
These days usually includes a reference  to  [RFC8174]  - see for
example draft-ietf-netmod-rfc7223bis

----- Original Message -----
From: "Jonas Ahlberg" <[email-masked]>
To: "t.petch" <[email-masked]>; <[email-masked]>
Sent: Saturday, March 03, 2018 11:11 AM

Hi Tom,

Thanks again,
JonasA

Title: A YANG Data Model for Microwave Radio Link Document date:
2018-03-03

Abstract:

-----Original Message-----
From: t.petch [mailto:[email-masked]]
Sent: den 1 mars 2018 12:06
To: Jonas Ahlberg <[email-masked]>; [email-masked]
Subject: Re: [CCAMP] FW: I-D Action: draft-ietf-ccamp-mw-yang-03.txt

Jonas

import iana-if-type

 import ietf-yang-types
ditto

You reference rfc7223bis

You do have

 and it references

reference "ITU-T G.826";

 Tom Petch

----- Original Message -----
From: "Jonas Ahlberg" <[email-masked]>
To: <[email-masked]>
Sent: Monday, February 26, 2018 1:35 PM

updated.
[email-masked]
directories.
WG of the IETF.
node.

---

From: Jonas Ahlberg <[email-masked]>
Date: Wed, 21 Mar 2018 16:48:45 +0000

Hi,

Thank you for the feedback.

We have now updated the draft, A YANG Data Model for Microwave Radio Link, based on the comments received in mail and on the presentation earlier today, see below
We would like your comments before we submit it as a new revision.

The changes are:
- "Interface identities", "Radio-link-terminal mode identities" , "Coding and modulation identities", and "TDM-type identities" have been broken out from the main module and put in a new module "ietf-microwave-types".

- Added an editor's note that "ID-draft editors" should be changed to "Editors"

- Added a single editor's note that all XXXX should be replaced with the proper RFC number, instead of one note for each case

- Updated draft-ietf-netmod-rfc7223bis to RFC8343

- Updated requirements language with a reference to RFC8174

- Updated to a consistent use of dot "." as the decimal separator

- Added QAM, BPSK, and QPSK to the list of acronyms

Dates remain to be updated before submission.

The complete text file can be found on the GitHub
https://github.com/ietf-ccamp-mw/IETF-CCAMP-Microwave-YANG-Data-Model/tree/master/YANG%20Data%20Model/2018-03%20-%20draft-ietf-ccamp-mw-yang-05

Regards
JonasA

-----Original Message-----
From: t.petch [mailto:[email-masked]] 
Sent: den 16 mars 2018 13:01
To: Jonas Ahlberg <[email-masked]>; [email-masked]
Subject: Re: [CCAMP] FW: I-D Action: draft-ietf-ccamp-mw-yang-03.txt

Jonas

A structural thought.

You have a number of 'enumerations' such as  coding-modulation and tdm-type.  How stable are they?  How does their life cycle compare with that of the rest of the YANG module?

There is a tendency, prevalent in MIB modules but carried across to YANG, of seeing these as more volatile and being placed in a separate module, a separate RFC even (e.g interfaces and interface types), so that when they change, rather than having to reissue the entire module, just the module with the enumerations is reissued.  (The ultimate in this is having the control of the list placed in the hands of IANA with a revision policy of Expert Review so that nothing needs re-issuing).

I started to say that I am not familiar enough with the likely evolution of ..... and then saw that I can see no reference for QAM to follow that line of thought.  I think you need a reference for QAM.  I would also include QAM in the list of abbreviations, perhaps with BPSK.

Tom Petch

----- Original Message -----
From: "Jonas Ahlberg" <[email-masked]>
To: "t.petch" <[email-masked]>; <[email-masked]>
Sent: Monday, March 05, 2018 8:02 AM
Subject: RE: [CCAMP] FW: I-D Action: draft-ietf-ccamp-mw-yang-03.txt

Hi Tom,

Regards
JonasA

-----Original Message-----
From: t.petch [mailto:[email-masked]]
Sent: den 3 mars 2018 14:07
To: Jonas Ahlberg <[email-masked]>; [email-masked]
Subject: Re: [CCAMP] FW: I-D Action: draft-ietf-ccamp-mw-yang-03.txt

Jonas

I still see
ID-draft editors:

 Requirements Language

----- Original Message -----
From: "Jonas Ahlberg" <[email-masked]>
To: "t.petch" <[email-masked]>; <[email-masked]>
Sent: Saturday, March 03, 2018 11:11 AM

Hi Tom,

Thanks again,
JonasA

Abstract:

-----Original Message-----
From: t.petch [mailto:[email-masked]]
Sent: den 1 mars 2018 12:06
To: Jonas Ahlberg <[email-masked]>; [email-masked]
Subject: Re: [CCAMP] FW: I-D Action: draft-ietf-ccamp-mw-yang-03.txt

Jonas

import iana-if-type

 import ietf-yang-types
ditto

You reference rfc7223bis

You do have

 and it references

reference "ITU-T G.826";

 Tom Petch

----- Original Message -----
From: "Jonas Ahlberg" <[email-masked]>
To: <[email-masked]>
Sent: Monday, February 26, 2018 1:35 PM

updated.
[email-masked]
directories.
WG of the IETF.
node.